Bug 1120492 - Documentation needs to make clear that embedded tomcat is not for generic application deployments
Summary: Documentation needs to make clear that embedded tomcat is not for generic app...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Documentation
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Athene Chan
QA Contact: David O'Brien
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 05:00 UTC by Trevor Jay
Modified: 2015-05-11 22:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:28:37 UTC


Attachments (Terms of Use)

Description Trevor Jay 2014-07-17 05:00:15 UTC
Satellite has an embedded application server. The documentation should make it clear that this server is reserved for satellite itself and shouldn't have other applications installed to it.

Just a brief sentence somewhere to make the policy clear would be good.

Comment 1 RHEL Product and Program Management 2014-07-17 05:13:34 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 2 RHEL Product and Program Management 2014-07-17 05:14:58 UTC
Since this issue was entered in Red Hat Bugzilla, the pm_ack has been
set to + automatically for the next planned release

Comment 3 Athene Chan 2014-07-17 23:18:34 UTC
Hi Trevor,

Thank you! I'll add that into our list for GA.

Cheers,
Athene

Comment 7 Trevor Jay 2014-07-18 15:35:33 UTC
Similar bug 1120493 was rightly closed as the following already existed in the 5.6 installation guide:

"Each purchased Satellite product includes one supported instance of Red Hat Enterprise Linux Server. Install Satellite on a fresh installation of Enterprise Linux where Satellite is the only application and service provided by the OS. Using the Red Hat Enterprise Linux OS included with Satellite to run other daemons, applications, or services within your environment is not supported."

If you've copied something like that for 6, that's probably fine. I just wasn't aware of it.

Comment 12 David O'Brien 2014-08-15 05:14:43 UTC
Comment 11 implemented.

Should we do something similar with Katello? Current statement:

Katello
Katello is the upstream component for Red Hat Satellite 6's Content and Subscription user interface and API. The only supported method of using Katello is through the Red Hat Satellite 6 WebUI, API and database. Direct interactions and modifications of Katello are out of Red Hat Satellite support. 

Also Candlepin.

The words have changed but the meaning seems mostly the same. Be  nice to be consistent. Just nit-picking...

Comment 13 Bryan Kearney 2014-09-11 12:28:37 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.